Bug 819203 - Unable to pair with Bluetooth mouse on F17 using Gnome, Blueman works
Unable to pair with Bluetooth mouse on F17 using Gnome, Blueman works
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: bluez (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-05 13:16 EDT by James
Modified: 2014-09-13 14:58 EDT (History)
25 users (show)

See Also:
Fixed In Version: 3.4.2-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 16:31:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description James 2012-05-05 13:16:29 EDT
Description of problem:
I cannot pair with my Bluetooth mouse under Fedora 17. The mouse is found, but the pairing procedure just fails. Bluetooth dongle is ath3k-based:

Bus 001 Device 005: ID 0cf3:3005 Atheros Communications, Inc. 

Version-Release number of selected component (if applicable):
kernel-3.3.4-4.fc17.x86_64
bluez-4.99-1.fc17.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Click on Bluetooth panel icon, select Set up a New Device.
2. Put mouse into pairing mode.
3. Mouse is detected. Select and click Continue.
4. Wait, then pairing fails.

Expected results:
Working Bluetooth mouse.

Additional information:


$ hciconfig 
hci0:	Type: BR/EDR  Bus: USB
	BD Address: 74:2F:68:B4:D4:50  ACL MTU: 1022:8  SCO MTU: 121:3
	UP RUNNING PSCAN 
	RX bytes:297082 acl:627 sco:0 events:662 errors:0
	TX bytes:16900 acl:423 sco:0 commands:131 errors:0


$ hcitool scan
Scanning ...
	00:12:A1:68:7D:2C	Bluetooth Mouse


Found in .xsession-errors:


(bluetooth-wizard:29712): GLib-CRITICAL **: g_variant_new_string: assertion `string != NULL' failed

(bluetooth-wizard:29712): Bluetooth-WARNING **: CreateDevice failed: GDBus.Error:org.bluez.Error.AuthenticationFailed: Authentication Failed

** (bluetooth-wizard:29712): WARNING **: Setting up 'Bluetooth Mouse' failed: GDBus.Error:org.bluez.Error.AuthenticationFailed: Authentication Failed
Comment 1 James 2012-05-09 08:44:53 EDT
From /var/log/messages, immediately after a failed pairing attempt:


May  9 13:42:00 iseult bluetoothd[9877]: bluetoothd[9877]: Discovery session 0x7f41cefc6640 with :1.123 activated
May  9 13:42:00 iseult bluetoothd[9877]: Discovery session 0x7f41cefc6640 with :1.123 activated
May  9 13:42:02 iseult bluetoothd[9877]: bluetoothd[9877]: Stopping discovery
May  9 13:42:02 iseult bluetoothd[9877]: Stopping discovery
May  9 13:42:03 iseult dbus-daemon[810]: dbus[810]: [system] Rejected send message, 3 matched rules; type="method_return", sender=":1.123" (uid=1000 pid=10421 comm="bluetooth-wizard ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.114" (uid=0 pid=9877 comm="/usr/sbin/bluetoothd -n ")
May  9 13:42:03 iseult dbus[810]: [system] Rejected send message, 3 matched rules; type="method_return", sender=":1.123" (uid=1000 pid=10421 comm="bluetooth-wizard ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.114" (uid=0 pid=9877 comm="/usr/sbin/bluetoothd -n ")
Comment 2 James 2012-05-09 08:54:19 EDT
Further information: I can get the mouse to pair using Blueman. Should this be reassigned to, e.g. gnome-bluetooth?

After a successful pairing using Blueman, hidp is loaded and in /var/log/messages:


May  9 13:49:17 iseult bluetoothd[9877]: bluetoothd[9877]: Discovery session 0x7f41cefc60e0 with :1.133 activated
May  9 13:49:17 iseult bluetoothd[9877]: Discovery session 0x7f41cefc60e0 with :1.133 activated
May  9 13:49:20 iseult bluetoothd[9877]: bluetoothd[9877]: Stopping discovery
May  9 13:49:20 iseult bluetoothd[9877]: Stopping discovery
May  9 13:49:26 iseult kernel: [11474.569267] generic-bluetooth 0005:3938:1001.0002: unknown main item tag 0x0
May  9 13:49:26 iseult kernel: [11474.608904] input: Bluetooth Mouse as /devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.2/1-1.2:1.0/bluetooth/hci0/hci0:21/input11
May  9 13:49:26 iseult kernel: [11474.609427] generic-bluetooth 0005:3938:1001.0002: input,hidraw1: BLUETOOTH HID v1f.16 Mouse [Bluetooth Mouse] on 74:2F:68:B4:D4:50
Comment 3 Jeff Raber 2012-05-16 00:42:48 EDT
I have the same problem when trying to connect to my phone via bluetooth.  I found the same messages in ~/.xsession-errors

Blueman worked fine for me too.
Comment 4 Tom Wu 2012-05-23 04:10:59 EDT
I have the same  problem when trying to pair my Bluetooth mouse under Fedora 17.
I also found that between the two notebooks with fedora17 system to Bluetooth pairing, the same can not be paired.
Comment 5 Saurav Sengupta 2012-05-30 03:15:12 EDT
The pairing works on Ubuntu 12.04 without Blueman, so maybe some component is missing in Fedora 17's gnome-bluetooth?
Comment 6 electro.x93 2012-06-01 13:56:17 EDT
Hi,
I have the same problem but i wasn't able to connect my mouse(razer orochi) with blueman.
Comment 7 Aleksandra Bookwar 2012-06-01 18:22:25 EDT
Same here, pairing between the laptop and Xperia android phone works only in Blueman. Bluetoothd gives following error in /var/log/messages:

Jun  1 22:57:33 fedora17 bluetoothd[662]: bluetoothd[662]: Discovery session 0x7f1154517d80 with :1.68 activated
Jun  1 22:57:33 fedora17 bluetoothd[662]: Discovery session 0x7f1154517d80 with :1.68 activated
Jun  1 22:57:38 fedora17 bluetoothd[662]: bluetoothd[662]: Stopping discovery
Jun  1 22:57:38 fedora17 bluetoothd[662]: Stopping discovery
Jun  1 22:57:49 fedora17 bluetoothd[662]: bluetoothd[662]: Discovery session 0x7f1154517d80 with :1.72 activated
Jun  1 22:57:49 fedora17 bluetoothd[662]: Discovery session 0x7f1154517d80 with :1.72 activated
Jun  1 22:57:58 fedora17 bluetoothd[662]: bluetoothd[662]: Stopping discovery
Jun  1 22:57:58 fedora17 bluetoothd[662]: Stopping discovery
Jun  1 22:59:00 fedora17 bluetoothd[662]: bluetoothd[662]: Agent replied with an error: org.freedesktop.DBus.Error.NoReply, Did not receive a reply. Possible causes inc
lude: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
Jun  1 22:59:00 fedora17 bluetoothd[662]: Agent replied with an error: org.freedesktop.DBus.Error.NoReply, Did not receive a reply. Possible causes include: the remote 
application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
Jun  1 22:59:01 fedora17 dbus-daemon[712]: dbus[712]: [system] Rejected send message, 3 matched rules; type="method_return", sender=":1.72" (uid=1000 pid=1730 comm="blu
etooth-wizard ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.0" (uid=0 pid=662 comm="/usr/sbin/bluetoothd -n ")
Jun  1 22:59:01 fedora17 dbus[712]: [system] Rejected send message, 3 matched rules; type="method_return", sender=":1.72" (uid=1000 pid=1730 comm="bluetooth-wizard ") i
nterface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.0" (uid=0 pid=662 comm="/usr/sbin/bluetoothd -n ")
Comment 8 Ilya Ryabinkin 2012-06-01 18:39:15 EDT
I confirm the bug. A Bluetooth mouse (MS Bluetooth 5000) is visible but always fails to connect. Works perfectly in Ubuntu 11.04

My bluetooth controller is from Broadcom plugged to the USB bus

Bus 001 Device 004: ID 0a5c:217f Broadcom Corp. Bluetooth Controller
Comment 9 Vasily Tarasov 2012-06-04 12:25:31 EDT
Same here. FC 17, IBM Thinkpad Bluetooth Mouse, 0a5c:217f Broadcom Corp. Bluetooth Controller. Works flawlessly with Ubuntu machines.


$ hciconfig 
hci0:	Type: BR/EDR  Bus: USB
	BD Address: 78:DD:08:B0:6C:08  ACL MTU: 1021:8  SCO MTU: 64:1
	UP RUNNING PSCAN ISCAN 
	RX bytes:5230 acl:6 sco:0 events:130 errors:0
	TX bytes:1217 acl:9 sco:0 commands:74 errors:0


$ hcitool scan
Scanning ...
	00:02:76:1F:DD:94	ThinkPad Bluetooth Laser Mouse

$ tail ~/.xsession
(bluetooth-wizard:1502): GLib-CRITICAL **: g_variant_new_string: assertion `string != NULL' failed

(bluetooth-wizard:1502): Bluetooth-WARNING **: CreateDevice failed: GDBus.Error:org.bluez.Error.AuthenticationFailed: Authentication Failed

** (bluetooth-wizard:1502): WARNING **: Setting up 'ThinkPad Bluetooth Laser Mouse' failed: GDBus.Error:org.bluez.Error.AuthenticationFailed: Authentication Failed

# tail /var/log/messages
Jun  3 09:21:46 vass-laptop dbus-daemon[748]: ** Message: No devices in use, exit
Jun  3 09:21:57 vass-laptop bluetoothd[661]: bluetoothd[661]: Discovery session 0x7f7ff0f459e0 with :1.79 activated
Jun  3 09:21:57 vass-laptop bluetoothd[661]: Discovery session 0x7f7ff0f459e0 with :1.79 activated
Jun  3 09:22:01 vass-laptop bluetoothd[661]: bluetoothd[661]: Stopping discovery
Jun  3 09:22:01 vass-laptop bluetoothd[661]: Stopping discovery
Jun  3 09:22:03 vass-laptop dbus-daemon[748]: dbus[748]: [system] Rejected send message, 3 matched rules; type="method_return", sender=":1.79" (uid=3411 pid=1958 comm="bluetooth-wizard ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.0" (uid=0 pid=661 comm="/usr/sbin/bluetoothd -n ")
Jun  3 09:22:03 vass-laptop dbus[748]: [system] Rejected send message, 3 matched rules; type="method_return", sender=":1.79" (uid=3411 pid=1958 comm="bluetooth-wizard ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.0" (uid=0 pid=661 comm="/usr/sbin/bluetoothd -n ")
/21:16
Comment 10 Msquared 2012-06-06 11:57:28 EDT
I'm having the same problem as OP: can't pair my bluetooth mouse with F17.  Testing notes:

  * I have a tiny generic USB BT adapter
  * Laptop A: Fedora 15 installed on HP Mini 5102
  * Laptop B: Fedora 17 installed on HP EliteBook 2730p
  * Laptop B also has a built-in BT adapter (BT+WiFi module)
  * Also tried F16 liveCD and F17 liveCD in both laptops

Results:

  * F15 & F16 work fine
  * F17 can pair a BT keyboard, but not the BT mouse

I get the same error messages as OP.  Most notable is the authentication error under F17; I find this noteworthy because I can use any PIN to connect to the mouse under F15; it seems to work irrespective of what PIN I choose.

I couldn't get the mouse to work using Blueman, though; I get authentication errors if I try.  Although I don't get any messages in .xsession-errors, I do get the same errors in /var/log/messages as occur when using the Gnome wizard.
Comment 11 Sentiono Leowinata 2012-06-07 00:42:02 EDT
Same problem. Thinkpad T400S and Logitech Bluetooth Laser Mouse. 
Unable to pair (failed) with Fedora 17, where it was working fine with FC 12-15.
Comment 12 Eric 2012-06-07 05:39:01 EDT
Same problem too. Asus EEEPC 1000HE and Genius Traveler 915BT Laser mouse/pointer.
Unable to pair with Fedora 17 (failed). I have no experience with older Fedora versions, but it worked well with Linux Mint Debian Edition 2012-04.
Comment 13 Eric 2012-06-07 05:58:02 EDT
(In reply to comment #12)
> Same problem too. Asus EEEPC 1000HE and Genius Traveler 915BT Laser
> mouse/pointer.
> Unable to pair with Fedora 17 (failed). I have no experience with older
> Fedora versions, but it worked well with Linux Mint Debian Edition 2012-04.

I have forgotten to say that I use Fedora 17 Xfce 4.8 version with all updates installed (bluez 4.99, kernel 3.4 ...).
Comment 14 Eric 2012-06-08 06:05:12 EDT
(In reply to comment #13)
> (In reply to comment #12)
> > Same problem too. Asus EEEPC 1000HE and Genius Traveler 915BT Laser
> > mouse/pointer.
> > Unable to pair with Fedora 17 (failed). I have no experience with older
> > Fedora versions, but it worked well with Linux Mint Debian Edition 2012-04.
> 
> I have forgotten to say that I use Fedora 17 Xfce 4.8 version with all
> updates installed (bluez 4.99, kernel 3.4 ...).

I have found a workaround for my Genius Traveler 915BT Laser mouse.
I have chosen manually : type "mouse" and options "not pairing" ... and my bluetooth mouse works like a charm, even after reboot.
Comment 15 Sentiono Leowinata 2012-06-08 23:06:51 EDT
(In reply to comment #11)
> Same problem. Thinkpad T400S and Logitech Bluetooth Laser Mouse. 
> Unable to pair (failed) with Fedora 17, where it was working fine with FC
> 12-15.

Thanks to Eric (#14), the workaround solve the problem.
Must choose Option and choose "do not pair", where it will not ask for authentication code.
Comment 16 Msquared 2012-06-10 08:20:51 EDT
This workaround works for me, too.  Steps to perform workaround:

1. Run Blueman Manager (blueman-manager)
2. Turn on mouse and initiate pairing mode on mouse
3. Click "Search" in Blueman Manager
4. Select the mouse in Blueman Manager
5. Click "Setup..." in Blueman Manager to start assistant
6. For pairing method, choose "Proceed Without Pairing"
7. For connect destination, choose "Input Service"
8. Close assistant
9. Check that mouse works
10. In Blueman Manager, mark the mouse as trusted
11. Close Blueman Manager
12. Turn mouse off and on again, and check that it automatically re-connects

Even so, this doesn't seem to behave itself properly every time (sometimes after this procedure I have to click the mouse button when I power the mouse on before it will talk to the laptop, but sometimes it will work fine).
Comment 17 Rafael Godínez Pérez 2012-06-10 22:12:44 EDT
I'm trying to use automatic PIN with my phones (N900 and Galaxy S-II), and also see the same behaviour.

I've started the wizard from the command line, and it looks like it's having a non valid type of return value when I click accept button afte checking both devices display the same PIN.

[root@pr-rgodinez plugins]# bluetooth-wizard 

(... just after clicking accept ...)

(bluetooth-wizard:2743): GLib-GIO-WARNING **: Type of return value is incorrect, got `(s)', expected `()'

(bluetooth-wizard:2743): Bluetooth-WARNING **: CreateDevice failed: Timeout was reached

** (bluetooth-wizard:2743): WARNING **: Setting up 'Nokia N900' failed: Timeout was reached

(bluetooth-wizard:2743): Gtk-CRITICAL **: gtk_tree_path_get_depth: assertion `path != NULL' failed

(bluetooth-wizard:2743): Gtk-CRITICAL **: gtk_tree_path_get_depth: assertion `path != NULL' failed
Comment 18 Rafael Godínez Pérez 2012-06-10 22:19:47 EDT
The release I use in comment #17 is 

gnome-bluetooth-3.4.0-2.fc17.x86_64
Comment 19 Daniele Viganò 2012-06-12 15:43:58 EDT
I have the same issue as Rafael with both my phones (a pretty old Nokia and an HTC android): I can't pair the devices with my notebook (from pc to phone and vice-versa). It was working with Fedora 16 on the same hardware/devices.
Comment 20 James 2012-06-17 14:07:09 EDT
(In reply to comment #14)
> I have found a workaround for my Genius Traveler 915BT Laser mouse.
> I have chosen manually : type "mouse" and options "not pairing" ... and my
> bluetooth mouse works like a charm, even after reboot.

Ah-ha! Nicely spotted, yes that works for me too. (gnome-bluetooth should probably be more helpful/automatic in this regard, especially considering it all worked with minimal intervention in the past...)
Comment 21 Ankur Sinha (FranciscoD) 2012-06-21 15:11:57 EDT
I'm not sure, but I think I'm seeing the same issue. I've been trying to pair my Android HTC Wildfire phone running a CyanogenMod7. It successfully manages to send the pin etc. but when I click on "matches", it just sits there :/
Comment 22 jan p. springer 2012-06-28 05:27:55 EDT
is somebody actually working on fix?
Comment 23 Boris Leidner 2012-07-06 16:17:42 EDT
The last gnome-bluetooth update did the trick for me. Pairing is possible now.
Comment 24 Daniele Viganò 2012-07-07 07:01:17 EDT
With last gnome-bluetooth from update-testing my HTC Wildfire S with stock Android now can succesfully pairing with my F17!

gnome-bluetooth.x86_64                1:3.4.2-1.fc17             @updates-testing
gnome-bluetooth-libs.x86_64           1:3.4.2-1.fc17             @updates-testing

Works for me.
Comment 25 Ankur Sinha (FranciscoD) 2012-07-07 08:07:18 EDT
+1

Just installed gnome-bluetooth from updates-testing. It solves the issue. HTC Wildfire with CyanogenMod7.

Thanks!
Ankur
Comment 26 Ankur Sinha (FranciscoD) 2012-07-07 08:11:06 EDT
Folks, some +ve karma would be nice. It would help the updates get to all users quickly:

https://admin.fedoraproject.org/updates/FEDORA-2012-10296/gnome-bluetooth-3.4.2-1.fc17

Thanks,
Ankur
Comment 27 Saurav Sengupta 2012-07-07 08:26:18 EDT
This bug is actually about not being able to pair with a Bluetooth mouse. It would be useful if we can get some feedback on whether Bluetooth mice can now be paired using the latest update.
Comment 28 James 2012-07-07 11:18:02 EDT
It now works as expected for me. gnome-bluetooth-3.4.2-1.fc17.x86_64
Comment 29 Msquared 2012-07-09 09:04:12 EDT
It now works as expecte for me, too.  gnome-bluetooth-3.4.2-1.fc17.i686
Comment 30 Oscar Costa 2012-10-21 16:05:48 EDT
I have got the same problem, even with the packages installed. My mouse is a "Microsoft Wireless Notebook Presenter Mouse 8000" (big name for a small device), and it works well on Ubuntu.
Comment 31 Martin 2012-11-22 11:45:50 EST
Does anybody still has this problem in updated Fedora 17?

And please, could you guys try reproduce this bug in Fedora 18 Beta RC1?
http://dl.fedoraproject.org/pub/alt/stage/18-Beta-RC1/
Comment 32 jan p. springer 2012-11-22 14:02:47 EST
problem persists w/ gnome-bluetooth-3.4.2-1.fc17.x86_64. pairing with bluetooth mouse only works with blueman.
Comment 33 charles harris 2012-11-22 20:30:53 EST
I don't know if this is the same problem, but I'm unable to pair a Logitech K810 keyboard.

** (bluetooth-wizard:14549): WARNING **: Setting up 'Logitech K810' failed: GDBus.Error:org.bluez.Error.AuthenticationFailed: Authentication Failed

The keyboard pairs without problems with a macbook pro.

I can attach the device using blueman without pairing.
Comment 34 Frank Perez 2012-12-02 17:10:36 EST
I had the same issue. Able to add and pair bluetooth devices with Blueman, but using the Bluedevil manager did not work. Bluedevil finds the devices, but it never connects to them.
Comment 35 Oscar Costa 2012-12-02 18:37:58 EST
A few weeks ago I did a fresh install of Fedora 17 and all updates. Then my mouse was paired and now is working well, but I needed to put the device name in the file /etc/bluetooth/main.conf:

device HARDWARE_ADDRESS {
	name "Microsoft Wireless Notebook Presenter Mouse 8000";
}
Comment 36 Msquared 2012-12-09 01:11:10 EST
(In reply to comment #32)
> problem persists w/ gnome-bluetooth-3.4.2-1.fc17.x86_64. pairing with
> bluetooth mouse only works with blueman.

This works for me with gnome-bluetooth-3.4.2-1.fc17.i686

Perhaps there's a difference between 32-bit and 64-bit packages?
Comment 37 charles harris 2012-12-12 18:15:23 EST
And... blueman connections also fail after the latest kernel upgrade to 3.6.9-2. Downgrading to 3.6.8-2 fixes the problem.
Comment 38 Fedora End Of Life 2013-07-03 16:29:06 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 39 Fedora End Of Life 2013-07-31 16:31:12 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.